Bug 117987

Summary: Fix cast-align warnings in WebKit2/Platform/CoreIPC
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: New BugsAssignee: Csaba Osztrogonác <ossy>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, ap, benjamin, kling, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Csaba Osztrogonác 2013-06-25 06:00:55 PDT
SSIA
Comment 1 Csaba Osztrogonác 2013-06-25 06:02:07 PDT
Created attachment 205391 [details]
Patch
Comment 2 Csaba Osztrogonác 2013-06-25 06:04:08 PDT
Comment on attachment 205391 [details]
Patch

It's safe to use reinterpret_cast_ptr instead of reinterpret_cast, because 
the alignment is checked by alignBufferPosition() in ArgumentDecoder.cpp
and it is forced by grow() in ArgumentEncoder.cpp
Comment 3 Rob Buis 2013-06-26 12:55:50 PDT
Comment on attachment 205391 [details]
Patch

LGTM.
Comment 4 Anders Carlsson 2013-06-26 12:59:56 PDT
(In reply to comment #3)
> (From update of attachment 205391 [details])
> LGTM.

Rob, this is a WebKit2 patch and needs to be approved by a WebKit2 owner.
Comment 5 Csaba Osztrogonác 2013-06-27 00:53:50 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > (From update of attachment 205391 [details] [details])
> > LGTM.
> 
> Rob, this is a WebKit2 patch and needs to be approved by a WebKit2 owner.

Anders, and could you approve it as WebKit2 owner, please?
Comment 6 Csaba Osztrogonác 2013-06-27 06:39:55 PDT
ping for sign-off from a WebKit2 owner
Comment 7 Anders Carlsson 2013-06-27 10:01:43 PDT
Looks good.
Comment 8 Csaba Osztrogonác 2013-06-27 10:44:46 PDT
Committed r152110: <http://trac.webkit.org/changeset/152110>